.\" Manual page for the 'break_fitstab' routine
.\"
.\" 18 July 1995, a.c.raugh.
.\" 19 Jan 1996, acr: changed name of conversion utilities
.\"
.TH BREAK_FITSTAB L "19 January 1996"
.SH NAME
break_fitstab \- split a FITS ASCII table into separate header and data files
in preparation for running 
.BR f2p .
.SH SYNOPSIS
.B break_fitstab input_file header_file table_file
.\"------------------ 
.SH DESCRIPTION
.LP
.B break_fitstab
breaks a FITS ASCII table file up into a separate header and data file in 
preparation for running the
.B f2p
utility.
The output table file will have added carriage-control characters (\\r\\n)
and the NAXIS1 value in the output file extension
header will be adjusted to account for
these additional characters.
The output table file will only have as many records as specified in the
NAXIS2 value of the extension header - i.e., any blank padding at the end
of the FITS data block will be ignored.
.LP
All file names must be specified on the command line.
.SH EXAMPLES
.LP
break_fitstab catalog.fit catalog.hdr catalog.tab
.LP
The catalog.hdr file will contain the FITS header, with a NAXIS1 value in
the XTENSION header of 2 more than the original value.  
The catalog.tab file will contain a table delimited by carriage-return and
linefeed characters, as required by PDS.
These two files can then be used as input to the 
.B f2p
routine.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B break_fitstab
is contained in a single ANSI standard C file.  It should compile without
further modification.
