.\" Manual page for the 'brkstrm' routine
.\"
.\" 09 May 1994, a.c.raugh.
.\" 11 Jun 1996, acr: changed to reflect code upgrades
.\"
.TH BRKSTRM L "11 Jun 1996"
.SH NAME
brkstrm \- break a stream text file into fixed length records
.SH SYNOPSIS
.B brkstrm
.RB "[\| " \-r " record-length "
.RB "[\| " \-d " delimiter-type "
.RB "\|] [\| " input-file " [\| " output-file " \|] \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B brkstrm
breaks up a stream text file, one with no record delimiters, into a
fixed-length
record file by inserting the specified type of record delimiter(s)
at regular intervals in
the stream.
The default interval is every 80 bytes, producing output records with 81 bytes,
but the user can specify a value using the
.B \-r option.
Note that the output record length will always be this value plus the size of
the record delimiter.
The default delimiter type is for the Unix file system.
.LP
Any left-over characters in the final record are padded out with blanks to the
full record length before the delimiter is added.
Note that, unlike the 
.B fitsform
routine, blank lines are not deleted by this routine.
If no file arguments are given, standard I/O streams are used.
If only one filename is given, it is assumed to be the input file.
.\"------------------
.SH OPTIONS
.TP
.BI \-d " delimiter-type "
The user may specify one of three types of record delimiter: "unix" = 
linefeed (\\n) only; "mac" = carriage-return (\\r) only; or "pc" = 
carriage-return/linefeed (\\r\\n).
The default is "unix".
.TP
.BI \-r " record-length "
The number of bytes to grab from the input file for each output record.  
The output record length will be this length plus the size of the record
delimiter (one or two bytes).
The default is 80.
.\"------------------
.SH NOTES
.LP
The
.B mkstrm
routine will remove all delimiters from a text file to create
a stream file.  These two routines are useful together for converting FITS
files and headers to forms more easily edited and back.
.\"------------------
.SH INSTALLATION NOTES
.B brkstrm
is contained in a single ANSI Standard C file.  It should compile without
further modification.  To change the default record length or delimiter
type, edit the corresponding "#define" values (on lines 26 and 27) before
compiling.
