/*
   concat:  C routine to concatenate two files without adding, subtracting or
            altering any bytes.

     Format:  % concat <input 1> <input 2> <output>


   06 May 1994, acr: creation
   01 Sep 1995, acr: fixed minor bug
*/

#include <stdio.h>
#include <string.h>

main(argc,argv)
  int   argc;
  char *argv[];

{ int    c;                 /* character to transfer */
  FILE  *ifp, *ofp;         /* file pointers   */
  char   errorstr[200];     /* error message string */

  /* Check for the right number of arguments: */

  if (argc != 4)
    { fprintf (stderr,"Usage: concat <input 1> <input 2> <output>\n");
      exit(0);
    }


  /* Open the first input file and the output file:  */

  if ((ifp=fopen(argv[1],"r")) == NULL)
    { sprintf (errorstr,"concat: could not open %s for reading.");
      perror(errorstr);
      exit(1);
    }

  if ((ofp=fopen(argv[3],"w")) == NULL)
    { sprintf (errorstr,"concat: could not open %s for writing.");
      perror(errorstr);
      exit(2);
    }


  /* Step through first file one character at a time: */

  while ((c=getc(ifp)) != EOF)  putc(c,ofp);


  /* Close first input file, open second: */

  fclose(ifp);
  if ((ifp=fopen(argv[2],"r")) == NULL)
    { sprintf(errorstr,"concat: couls not open %s for reading.");
      perror(errorstr);
      exit(3);
    }

  /* Step through second file: */

  while ((c=getc(ifp)) != EOF)  putc(c,ofp);


  /* Close both files and exit: */

  fclose(ifp);
  fclose(ofp);
  exit(0);
}
