.\" Manual page for the 'fits_datachk' routine
.\"
.\" 22 Oct 2003, a.c.raugh.
.\"
.TH FITS_DATACHK L "22 October 2003"
.SH NAME
fits_datachk \- check the FITS primary data unit for extrema and proper
padding
.SH SYNOPSIS
.B fits_datachk
.RB "[\| " \-n " 
.IR "<null_value>" " \|] "
.B <input_file>
.\"------------------
.SH DESCRIPTION
.LP
.B fits_datachk
runs a quick check on the data in the primary data unit of a FITS file.
It reads all the elements in the data array, reports the maximum and minimum,
checks these against any DATAMAX and DATAMIN value found in the header, and
will report the number of elements with BLANK values, if one is defined in
the header.
The "\-n" option may be used to specify a null value for files which don't
have BLANK keywords in their headers.
.LP
Input is a FITS file with data following the primary header.  Extension 
headers are not checked.  Output is to standard out.
.\"------------------
.SH OPTIONS
.TP
.BR \-n " <null_value>"
Null value indicator - use the given value as the null value flag. 
.B Fits_datachk
will ignore elements with values equal to "null_value" in calculating
the extrema, and will report the number of elements containing the null
value.
.LP
Note that all comparisons are done in double-precision real math.  
Comparisons that require high precision to the right of the decimal point
may be doomed to failure because of rouding error in the representation.
.LP
The use of the \-n option on a FITS file that already contains a BLANK
keyword is problematic.
.\"------------------
