.\" Manual page for the 'fitspad' routine
.\"
.\" 24 May 1993, a.c.raugh.
.\" 11 Jun 1996, acr: added installation notes
.\" 23 Dec 1996, acr: added silent running option
.\"
.TH FITSPAD L "11 Jun 1996"
.SH NAME
fitspad \- pad an otherwise FITS-formatted file out to a multiple of 2880 bytes
.SH SYNOPSIS
.B fitspad
.RB "[\| " \-n " \|] [\|" \-s " \|] "
.RB "[\| " input-file " [\| " output-file " \|] \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B fitspad
reads a file in FITS format (i.e., 2880-byte records with no delimiters) and
pads it out on the end to a multiple of 2880 bytes.
The file is padded with ASCII blanks by default, but the user may specify
that hex nulls (\\0) be used by including the
.B \-n
option.
This is useful for files that are otherwise in FITS format but do not have the
correct number of bytes in the last record, which is often encountered when
FITS headers are maintained in a separate file from the (FITS) data.
The 
.B \-s
option suppresses the final message indicating how many FITS records were
written to the output file.
.LP
If no file arguments are given, standard I/O streams are used.
If only one filename is given, it is assumed to be the input file.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B fitspad 
is contained in a single ANSI Standard C file and should compile without 
further modification.
