.\" Manual page for the 'fixaz' routine
.\"
.\" 03 Apr 1997, a.c.raugh.
.\"
.TH FIXAZ L "03 April 1997"
.SH NAME
fixaz \- routine for fixing FITS files written in Arizona which showed
problems with line-feed characters in header comment fields and 
improperly padded data blocks
.SH SYNOPSIS
.B fixaz 
.RB "[\| " input-file " [\| " output file " \|] \|]"
.\"------------------
.SH DESCRIPTION
.lp
Certain images taken of Comet Hale-Bopp in Flagstaff, AZ, were written with 
a software package which did not produce standard FITS files.
This program fixes the two most annoying non-conformities.
.LP
.B fixaz
checks through all bytes in the header blocks of the input FITS file, changing
non-printing characters to blanks.
It also reads the BITPIX and NAXISn values from the header and calculates 
the correct size for the data, and pads the data section appropriately with
NULL characters.
.LP
Standard I/O is used if input and output files are not specified.
All error messages are sent to stderr.
.\"------------------
.SH NOTES
.LP
.B fixaz
assumes that the file contains a reasonably well-formatted primary header/data
unit only.  It also assumes that the header section will have the correct 
number of bytes.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B fixaz 
is contained in a single ANSI standard C source file and should compile 
without further modification.
