.\" Manual page for the 'fixfits' routine
.\"
.\" 05 July 1994, a.c.raugh
.\"
.TH FIXFITS L "05 July 1994"
.SH NAME
fixfits \- fix poorly formatted FITS ASCII tables
.SH SYNOPSIS
.B fixfits
.RB "[\| " record-length
.RB "\|] [\| " input-file " [\| " output-file " \|] \|]"
.\"------------------ 
.SH DESCRIPTION
.LP
.B fixfits
reformats badly formatted FITS ASCII tables.
A common problem with these tables is that the FITS writer pads each 2880-byte
FITS block out with blanks after an integral number of data records, rather
than writing the records across FITS block boundaries and only padding the
last block, as described in the FITS standard. 
This routine transfers the records, writing across FITS block boundaires as
appropriate, deletes the padding at the end of each FITS block, and pads the
final block out with blanks as necessary to a multiple of 2880 bytes.
.LP
.B record-length
is required. 
If no files are specified, standard input and output are used.  
If only one file is named it is taken to be the input file.
