.\" Manual page for the 'flt2int' routine
.\"
.\" 25 Oct 2001, a.c.raugh
.\"
.TH FLT2INT L "25 OCTOBER 2001"
.SH NAME
flt2int \- convert a floating-point FITS file (BITPIX = \-32 or \-64) 
to a 32-bit (signed) integer file.
.SH SYNOPSIS
.B flt2int
.BR "<FITS_input>" "[\| " "<FITS_OUTPUT>" " \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B flt2int
converts a floating-point FITS files (BITPIX = \-32 or \-64) to an
integer FITS file with BITPIX = 32.
Values for BSCALE and BZERO are modified or added as needed.
.LP
The program assumes the input is valid FITS in IEEE floating point format.
The file may contain multiple header/data units \- only the floating point
data will be converted. Other data is passed though untouched.
.LP
The real values are converted to integer values first by applying any
existing BSCALE and BZERO values, then mapping the extrema to the 
maximum and minimum long integer values. New BSCALE and BZERO values are
calculated and added to the header overwriting existing values, if any.
Note that some loss of precision is just about inevitable.
.LP
The input file is first scanned to determine the location, size and type
of all header/data units as well as their individual extrema. The data 
conversion is all done on the second pass through the file.
.LP
The new values of BSCALE and BZERO will overwrite existing values, if any.
If there are none, new lines will be added just before the 'END' statement
in the header to define these keywords.
.\"------------------
.SH USAGE NOTES
.LP
Loss of precision is inevitable, but may be exacerbated if there is a null
flag value in the file. There is no standard way to indicate this in the FITS
header, and thus no accommodation for that circumstance in this program.
.LP
Only the primary data unit and any IMAGE extensions are affected by this
program. All other extensions are passed through untouched.
.LP
Note that in converting from 64\-bit IEEE to long integers, the number of
data blocks in the corresponding data segment will be reduced by half.
The program will pad a half-block on the end of a data segment with 
null values.
.LP
It is possible that an additional header block may be added to a segment, 
if the addition of a line for BSCALE and BZERO overflows the existing header
block.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B flt2int
is contained in a single ANSI Standard C file and should compile without
further modification.  
