.\" Overview man page section for lcltools FITS file handling utilities
.\"
.\" 08 Mar 1996, acr.
.\" 03 Apr 1997, acr: added 'fixaz'
.\"
.\"---------------------------------------------------------------------------
.SS FITS FILE UTILITIES
.sk 2
.LP
These routines are useful for manipulating FITS files.
.LP
.TP
.B break_fitstab
split a FITS ASCII table into separate header and data files in preparation
for running the
.BR f2p converter.
.TP
.B brkstrm
break a stream text file into fixed length records
.TP
.B concat
concatenate two files into a third (C program)
.TP
.B fits_datachk
check the elements in the primary data unit for extrema and proper padding
.TP
.B fitsidx
generate an index table by extracting keyword values from FITS headers
.TP
.B fitspad
pad an otherwise FITS-formatted file out to a multiple of 2880 bytes
.TP
.B fixaz
fixes faulty FITS files produced in AZ during Hale-Bopp observations;
removes non-printing characters from header blocks, properly pads data blocks
.TP
.B fixfits
reformat incorrectly formatted FITS ASCII tables in which each block has been 
blank-padded to 2880 bytes, rather than just the last one
.TP
.B flt2int
convert IEEE FITS file to long integer FITS file
.TP
.B make_fitstab
combine a delimited PDS ASCII table and corresponding FITS header produced
by the
.BR p2f utility
into a standard FITS ASCII table
.TP
.B mkstrm
remove record delimiters from an ASCII file to create a stream file
.TP
.B primfits
extract the primary FITS header and corresponding data from a FITS file which
may have extensions
.TP
.B sepfits
separate FITS primary header/data and extension header/data into separate files
.TP
.B splitfits
split a combined FITS file into separate files for header and data, adding
carriage-control if desired
