.\" Manual page for the 'make_fitstab' routine
.\"
.\" 18 July 1995, a.c.raugh.
.\" 19 Jan 1996, acr: Changed name of conversion utility
.\" 11 Jun 1996, acr: added installation notes
.\"
.TH MAKE_FITSTAB L "19 January 1996"
.SH NAME
make_fitstab \- combine a delimited PDS ASCII table and corresponding FITS
header produced by
.BR p2f
into a standard FITS ASCII table.
.SH SYNOPSIS
.B make_fitstab header_file table_file
.RB " [\|" FITS_file "\|]"
.\"------------------ 
.SH DESCRIPTION
.LP
.B make_fitstab
Takes the FITS header output by the
.B p2f
routine and the corresponding (detached) PDS delimited table file and
combines them into a standard FITS ASCII table file.
The PDS carriage-return/linefeed record delimiters (\\r\\n) are removed 
and the NAXIS1 value in the XTENSION header block adjusted accordingly.
The modified header is then concatenated to the undelimited data and
padded out to the appropriate length with blanks to produce the
output file.
.LP
Output is directed to stdout if no file name is given on the command
line.
.\"------------------ 
.SH EXAMPLES
.LP
make_fitstab catalog.hdr catalog.tab catalog.fits
.LP
The catalog.hdr file was produce by
.BR p2f ,
and the catalog.tab file contains the table corresponding to the 
original PDS label.
The catalog.fits file will contain a properly-formatted, undelimited
FITS ASCII table.  The NAXIS1 value in the XTENSION header will be
2 less than the value in the catalog.hdr file, to account for the 
carriage-control characters deleted from the catalog.tab records.
.\"-------------------
.SH INSTALLATION NOTES
.B make_fitstab
is contained in a single ANSI Standard C file and should compile without
further modification.
