.\" Manual page for the 'mkstrm' routine
.\"
.\" 09 May 1994, a.c.raugh.
.\" 11 Jun 1996, acr: updated for code changes, added installation notes
.\"
.TH MKSTRM L "11 Jun 1996"
.SH NAME
mkstrm \- turn a fixed-length record text file into a stream file
.SH SYNOPSIS
.B mkstrm
.RB "[\| " input-file " [\| " output-file " \|] \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B mkstrm
is a C routine which removes all record-delimiters, linefeeds (\\r) and
carriage-returns (\\n), from a text
file, converting it inot a stream file.
If no file arguments are given, standard I/O streams are used.
If only one filename is given, it is assumed to be the input file.
.LP
Neither delimiter is required, nor is any check made to see that the 
delimiter(s) occur at regular intervals.  All linefeed and carriage-return
characters are removed wherever they are encountered.
.\"------------------
.SH NOTES
.LP
The
.B brkstrm
will convert a stream file into a text file by inserting linefeed (\\n) 
delimiters at regular intervals.
These two routines are useful together for converting FITS
files and headers to forms more easily edited and back.
.\"------------------
.SH INSTALLATION NOTES
.B mkstrm
is contained in a single ANSI Standard C file and should compile without 
further modification.
